WordPress.org

Forums

[Plugin: facebook] Invalid argument supplied for foreach()... (6 posts)

  1. sloppyperfectionist
    Member
    Posted 3 years ago #

    Hi all,

    reading from another thread here I understand that the facebook plugin is incompatible with various other plugins (Disqus etc.)

    Interestingly I run my wordpress without having a single plugin installed and yet receive the same error as reported there when trying to get my first post published to the Open Graph:

    Warning: Invalid argument supplied for foreach() in /home/xxx/public_html/wp-content/plugins/facebook/fb-social-publisher.php on line 255

    Warning: Invalid argument supplied for foreach() in /home/xxx/public_html/wp-content/plugins/facebook/fb-social-publisher.php on line 297

    Warning: Cannot modify header information - headers already sent by (output started at /home/xxx/public_html/wp-content/plugins/facebook/fb-social-publisher.php:255) in /home/xxx/public_html/wp-includes/pluggable.php on line 866

    I run a very simplistic, self-written theme, that IMHO shouldn't interfere with anything in regards to that facebook plugin. I do, however, use facebook like, google+ 1 and twitter buttons from the respective resources. I have already tried removing all of those from the theme but to no avail - the error stays the same.

    Does anyone have any ideas, where to start looking for a solution to this? Any input will be greatly appreciated, so thank you in advance.

  2. illis
    Member
    Posted 3 years ago #

    I have the exact same situation. Anyone with a solution?

  3. sloppyperfectionist
    Member
    Posted 3 years ago #

    Samuel "Otto" Wood pointed out, that display_errors should be disabled. Adding the line
    php_flag display_errors off
    in .htaccess (located in your top directory) did the trick for me, everything seems to be working fine ever since.

  4. inalilbubble
    Member
    Posted 3 years ago #

    That didn't work for me. My whole site is giving me a 500 internal error page. Any other ideas?

  5. inalilbubble
    Member
    Posted 3 years ago #

    I got it working. I uninstalled the plugin and deleted it. I upgraded to the most recent wordpress and then re-installed it. Works fine now.

  6. Alyson
    Member
    Posted 3 years ago #

    i have same problem, i'm get error when someone buy in my shopping online with plugin woocommerce...i have the last wordpress version and last version of facebook plugin and woocommerce.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags